M_ActivityFishingCeleStage = {}

function M_ActivityFishingCeleStage:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityFishingCeleStage:init()
	self.datas = {}
	self.datas[1] = {ID = 1, ActiveId = {1,302,24}, ActiveCount = {88888,10,1}, SubAllowCount = 1}
	self.datas[2] = {ID = 2, ActiveId = {1,302,25}, ActiveCount = {120000,100,1}, SubAllowCount = 6}
	self.datas[3] = {ID = 3, ActiveId = {1,302,25}, ActiveCount = {300000,200,1}, SubAllowCount = 12}
	self.datas[4] = {ID = 4, ActiveId = {1,302,26}, ActiveCount = {680000,300,1}, SubAllowCount = 30}
	self.datas[5] = {ID = 5, ActiveId = {1,302,26}, ActiveCount = {1280000,400,1}, SubAllowCount = 56}
	self.datas[6] = {ID = 6, ActiveId = {1,302,27}, ActiveCount = {3280000,500,1}, SubAllowCount = 148}
end

M_ActivityFishingCeleStage:init()
